View workflow job node

Read the execution details of a node in the specified job, including node definition and input and output of this run.

GET https://moi.matrixorigin.cn/newmoi/workflow/v2/workflow-apps/{workflow_id}/executions/{execution_id}/nodes/{node_key}

Preparation before calling

First View workflow job results confirms the node execution status, and then obtains the node key from the workflow DSL. Prepare a personal access token and target workspace ID that has access to the target workspace.

Path parameters

workflow_idstringRequired
Workflow ID.
execution_idstringRequired
Job ID.
node_keystringRequired
Node key in the workflow DSL.

Request example

curl "https://moi.matrixorigin.cn/newmoi/workflow/v2/workflow-apps/$WORKFLOW_ID/executions/$EXECUTION_ID/nodes/$NODE_KEY" \
  -H "X-API-Key: $AI_STUDIO_API_KEY" \
  -H "X-Workspace-ID: $WORKSPACE_ID"

Successful response

Returns 200 on success. data.node describes the node definition, and data.run describes the running status of the node in this job.

codestring
`OK` when successful.
msgstring
`OK` when successful.
data.node.flow_idstring
Flow ID to which the node belongs.
data.node.namestring
Node name.
data.node.node_keystring
DSL node key.
data.node.node_typestring
Node type.
data.node.display_namestring
Node display name.
data.node.workitem_idstring
Work item ID; returned if there is a value.
data.node.node_execution_idstring
Node execution ID; returned if there is a value.
data.run.statusstring
The current or final state of the node.
data.run.started_atstring
Node run start time; may be omitted if not generated.
data.run.ended_atstring
Node run end time; may be omitted if not generated.
data.run.duration_msinteger
Node run duration in milliseconds; may be omitted if not generated.
data.run.errorstring
Node execution error; returned if there is an error.
data.run.runtime_inputAny JSON value
Node runtime input.
data.run.runtime_outputAny JSON value
Node runtime output.
data.run.runtime_varsAny JSON value
Node runtime variables.
data.run.configAny JSON value
Node runtime configuration.
data.run.metricsobject
Node indicator; returned when provided by the server.
data.run.developer_logsobject
Development log. Can contain `stdout`, `stderr`, `stream`, number of bytes, `runner` and `output_limited`.

Successful response example

{
  "code": "OK",
  "msg": "OK",
  "data": {
    "node": {
      "flow_id": "flow-001",
      "name": "load",
      "node_key": "root.load",
      "node_type": "operator",
      "display_name": "加载数据",
      "workitem_id": "wi-001",
      "node_execution_id": "node-exec-001"
    },
    "run": {
      "status": "COMPLETED",
      "started_at": "2026-08-18T10:00:00Z",
      "ended_at": "2026-08-18T10:00:01Z",
      "duration_ms": 1200,
      "runtime_input": {},
      "runtime_output": {},
      "config": {},
      "metrics": {}
    }
  }
}

Error response

codestring
Error code.
msgstring
Readable error message.
datanull
`null` in an error response.

Error response example

{
  "code": "ErrNotFound",
  "msg": "资源不存在",
  "data": null
}

Follow-up operations

When you need to continue execution from this node, first View node rerun plan.

Last updated on